"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getRNStylesFromHljsStyle = exports.cleanStyle = void 0;
var _cssToReactNative = _interopRequireDefault(require("css-to-react-native"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const ALLOWED_STYLE_PROPERTIES = {
  color: true,
  background: true,
  backgroundColor: true,
  fontWeight: true,
  fontStyle: true
};
const getRNStylesFromHljsStyle = hljsStyle => {
  return Object.fromEntries(Object.entries(hljsStyle).map(([className, style]) => [className, cleanStyle(style)]));
};
exports.getRNStylesFromHljsStyle = getRNStylesFromHljsStyle;
const cleanStyle = style => {
  const styles = Object.entries(style).filter(([key]) => ALLOWED_STYLE_PROPERTIES[key]).map(([key, value]) => [key, value]);
  return (0, _cssToReactNative.default)(styles);
};
exports.cleanStyle = cleanStyle;
//# sourceMappingURL=styles.js.map